Name:      gnome-session
Summary:   Session Management Tools for the GNOME Desktop
Version:   42.0
Release:   2
License:   GPLv2+
URL:       https://gitlab.gnome.org/GNOME/gnome-session
Source0:   https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

Patch1: gnome-session-3.3.92-nv30.patch
Patch3: gnome-session-3.6.2-swrast.patch
Patch4: 0001-check-accelerated-gles-Use-eglGetPlatformDisplay-EXT.patch
Patch5: 0001-Fedora-Set-grub-boot-flags-on-shutdown-reboot.patch

BuildRequires: meson gcc gettext intltool xmlto usermode libxslt
BuildRequires: pkgconfig(gl) pkgconfig(egl) pkgconfig(glesv2) pkgconfig(gnome-desktop-3.0)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libsystemd) pkgconfig(ice) pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(sm) pkgconfig(x11) pkgconfig(xau) pkgconfig(xcomposite) pkgconfig(xext)
BuildRequires: pkgconfig(xrender) pkgconfig(xtrans) pkgconfig(xtst)

Requires: gsettings-desktop-schemas >= 0.1.7
Requires: dconf dbus-x11 system-logos control-center-filesystem gnome-shell

Requires: xorg-x11-server-Xorg%{?_isa}
Requires: xorg-x11-server-Xwayland%{?_isa}

Obsoletes: %{name}-xsession < %{version}-%{release}
Provides: %{name}-xsession = %{version}-%{release}
Obsoletes: %{name}-wayland-session < %{version}-%{release}
Provides: %{name}-wayland-session = %{version}-%{release}

%description
This package provides the basic session management tools, ant it  manages a GNOME desktop
or GDM login session.

%package_help

%prep
%autosetup -p1

%build
%meson -Dsession_selector=true -Dsystemd=true -Dsystemd_journal=true
%meson_build

sed -i 's/idm[0-9]\{5,32\}\"/idm123456789123456\"/g' $(find -name %{name}.html)

%install
%meson_install

%find_lang %{name}-42

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-42.lang
%license COPYING
%{_bindir}/*
%{_libexecdir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_datadir}/xsessions/*
%{_datadir}/wayland-sessions/*
%{_userunitdir}/gnome-session*
%{_userunitdir}/gnome-launched-.scope.d/

%files help
%doc AUTHORS NEWS README
%doc %{_mandir}/man*/*
%{_datadir}/doc/%{name}/dbus/%{name}.html

%changelog
* Mon Nov 21 2022 yaoxin <yaoxin30@h-partners.com> - 42.0-2
- Modify invalid Source

* Tue Mar 22 2022 David King <amigadave@amigadave.com> - 42.0-1
- Update to 42.0

* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Release, Source0, Obsoletes
- Modify patches, update stage 'files'

* Fri Apr 3 2020 chenli <chenli147@huawei.com> - 3.30.1-4
- modify spec

* Wed Nov 20 2019 caomeng<caomeng5@huawei.com> - 3.30.1-3
- Package init

* Fri Apr 12 2019 gaoyi<gaoyi15@huawei.com> - 3.30.1-2.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Eliminate differences
